<!-- carousel-section 
	================================================== -->
<section class="carousel-section">
    <div class="carousel-box owl-wrapper">
                
        <div class="owl-carousel" data-num="<?php block_field('colums-number'); ?>">

            <?php 
                $args = array(
                    'posts_per_page'      => block_value('posts-number'),
                    'post_type'           => 'post',
                    'ignore_sticky_posts' => true,
                    'order'               => block_value('sort-posts'),
                );
        
                // Display from the most commented
                if ( block_value('display-fields') == 'comments' ) {
                    $args['orderby'] = 'comment_count';
                }
        
                // Display from the most popular
                if ( block_value('display-fields') == 'popular' ) {
                    $args['meta_key'] = 'post_views_count';
                    $args['orderby'] = 'meta_value_num';
                }
        
                // Display from the categorys selected
                if ( block_value('category') ) {
                    $args[ 'tax_query' ] = array(
                        array(
                            'taxonomy' => 'category',
                            'field'    => 'slug',
                            'terms'    => block_value('category'),
                        ),
                    );
                }
        
                // Display from the tags selected
                if ( block_value('tag')) {
                    $args['tag'] = block_value('tag');
                }
        
                // Display from the tags selected
                if ( block_value('custom-posts')) {
                    $postsArray = explode(',', block_value('custom-posts') );
                    
                    $postsCustom = array_values($postsArray);
                    
        
                    $args['post__in'] = $postsCustom;
                }

                $query = new WP_Query($args);

                if ( $query->have_posts() ) {
                    while ( $query->have_posts() ) {
                        $query->the_post(); ?>
                        <div class="item">
                            <?php
                                get_template_part( 'template-parts/post-layouts/image-post' );
                            ?>
                        </div>
                    <?php }

                    \wp_reset_postdata();
                } 
            ?>

        </div>
    </div>
</section>
<!-- End carousel section -->