<!-- politics-section 
	================================================== -->
<section class="politics-section">

    <div class="container">
        <?php
            if(block_value('title')) { ?>
                <div class="title-wrapper <?php if( block_value('title-white-color') ) { echo 'white-style'; } ?>">
                    <h2 <?php if( block_value('hide-icon-before-title') ) { echo 'class="no-dottes"'; } ?> >
                        <?php block_field('title'); ?>
                    </h2>
                </div>
            <?php }
        ?>
        <div class="politics-box">
            <div class="row">

            <?php 
                $args = array(
                    'posts_per_page'      => block_value('posts-number'),
                    'post_type'           => 'post',
                    'ignore_sticky_posts' => true,
                    'order'               => block_value('sort-posts'),
                );
        
                // Display from the most commented
                if ( block_value('display-fields') == 'comments' ) {
                    $args['orderby'] = 'comment_count';
                }
        
                // Display from the most popular
                if ( block_value('display-fields') == 'popular' ) {
                    $args['meta_key'] = 'post_views_count';
                    $args['orderby'] = 'meta_value_num';
                }
        
                // Display from the categorys selected
                if ( block_value('category') ) {
                    $args[ 'tax_query' ] = array(
                        array(
                            'taxonomy' => 'category',
                            'field'    => 'slug',
                            'terms'    => block_value('category'),
                        ),
                    );
                }
        
                // Display from the tags selected
                if ( block_value('tag')) {
                    $args['tag'] = block_value('tag');
                }
        
                // Display from the tags selected
                if ( block_value('custom-posts')) {
                    $postsArray = explode(',', block_value('custom-posts') );
                    
                    $postsCustom = array_values($postsArray);
                    
        
                    $args['post__in'] = $postsCustom;
                }

                $query = new WP_Query($args);
                $colNumber = 12/intval(block_value('colums-number'));

                if ( $query->have_posts() ) {
                    while ( $query->have_posts() ) {
                        $query->the_post(); ?>
                        <div class="col-lg-<?php echo $colNumber ?>">
                            <?php
                                get_template_part( 'template-parts/post-layouts/card-post' );
                            ?>
                        </div>
                    <?php }

                    \wp_reset_postdata();
                } 
            ?>
            </div>

        </div>
    </div>
</section>
<!-- End politics section -->