<!-- slider-section 
    ================================================== -->
<section class="slider-section">
    <div class="container">
        <div class="flexslider">
            <ul class="slides">
            <?php 
                $args = array(
                    'posts_per_page'      => block_value('posts-number'),
                    'post_type'           => 'post',
                    'ignore_sticky_posts' => true,
                    'order'               => block_value('sort-posts'),
                );
        
                // Display from the most commented
                if ( block_value('display-fields') == 'comments' ) {
                    $args['orderby'] = 'comment_count';
                }
        
                // Display from the most popular
                if ( block_value('display-fields') == 'popular' ) {
                    $args['meta_key'] = 'post_views_count';
                    $args['orderby'] = 'meta_value_num';
                }
        
                // Display from the categorys selected
                if ( block_value('category') ) {
                    $args[ 'tax_query' ] = array(
                        array(
                            'taxonomy' => 'category',
                            'field'    => 'slug',
                            'terms'    => block_value('category'),
                        ),
                    );
                }
        
                // Display from the tags selected
                if ( block_value('tag')) {
                    $args['tag'] = block_value('tag');
                }
        
                // Display from the tags selected
                if ( block_value('custom-posts')) {
                    $postsArray = explode(',', block_value('custom-posts') );
                    
                    $postsCustom = array_values($postsArray);
                    
        
                    $args['post__in'] = $postsCustom;
                }

                $query = new WP_Query($args);

                if ( $query->have_posts() ) {
                    while ( $query->have_posts() ) {
                        $query->the_post(); ?>
                        <li>
                            <img src="<?php echo get_the_post_thumbnail_url(); ?>" alt="">
                            <div class="hover-box">
                                <div class="inner-hover">
                                    <?php
                                        $categoriesPost = get_the_category();
                                        if ( ! empty( $categoriesPost ) ) {
                                            echo '<a class="category-line" href="' . esc_url( get_category_link( $categoriesPost[0]->term_id ) ) . '">' . esc_html( $categoriesPost[0]->name ) . '</a>';
                                        }
                                    ?>
                                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                    <ul class="post-meta">
                                        <li><a href="#">
                                            <i class="fas fa-comment-dots"></i>
                                            <?php 
                                                comments_popup_link( 
                                                    esc_html__('0 Comments','aigen'),
                                                    esc_html__('1 Comment','aigen'),
                                                    esc_html__('% Comments','aigen'), '', 
                                                    esc_html__('Comment off','aigen')
                                                ); 
                                            ?>
                                        </a></li>
                                        <li><a href="#">
                                            <i class="far fa-user"></i>
                                            <?php the_author_posts_link(); ?>
                                        </a></li>
                                    </ul>
                                </div>
                            </div>
                        </li>
                    <?php }

                    \wp_reset_postdata();
                } 
            ?>

            </ul>
        </div>
        <div class="custom-navigation">
            <a href="#" class="flex-next">
                <!-- Generator: Adobe Illustrator 23.0.5, SVG Export Plug-In . SVG Version: 6.00 Build 0)  -->
                <svg version="1.1" class="hover-svg" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 238.48 176" style="enable-background:new 0 0 238.48 176;" xml:space="preserve">
                    <g>
                    <path d="M236.14,93.66l-80,80c-2.29,2.29-5.71,2.96-8.72,1.73c-2.99-1.23-4.95-4.16-4.95-7.39v-40H0l0-16h150.48c4.41,0,8,3.59,8,8
                    v28.69L219.17,88l-60.69-60.69V56c0,4.41-3.59,8-8,8H0l0-16h142.48V8c0-3.23,1.95-6.16,4.95-7.39c0.99-0.42,2.03-0.61,3.05-0.61
                    c2.08,0,4.13,0.82,5.66,2.35l80,80C239.26,85.47,239.26,90.54,236.14,93.66z"/>
                    </g>
                </svg>
                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 238.48 176" style="enable-background:new 0 0 238.48 176;" xml:space="preserve">
                    <g>
                    <path d="M236.14,93.66l-80,80c-2.29,2.29-5.71,2.96-8.72,1.73c-2.99-1.23-4.95-4.16-4.95-7.39v-40H0l0-16h150.48c4.41,0,8,3.59,8,8
                    v28.69L219.17,88l-60.69-60.69V56c0,4.41-3.59,8-8,8H0l0-16h142.48V8c0-3.23,1.95-6.16,4.95-7.39c0.99-0.42,2.03-0.61,3.05-0.61
                    c2.08,0,4.13,0.82,5.66,2.35l80,80C239.26,85.47,239.26,90.54,236.14,93.66z"/>
                    </g>
                </svg>
            </a>
            <a href="#" class="flex-prev">
                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 238.48 176" style="enable-background:new 0 0 238.48 176;" xml:space="preserve">
                    <g>
                        <path d="M2.34,82.34l80-80c2.29-2.29,5.71-2.96,8.72-1.73C94.05,1.84,96,4.77,96,8v40h142.48v16H88c-4.41,0-8-3.59-8-8V27.31
                            L19.32,88L80,148.69V120c0-4.41,3.59-8,8-8h150.48v16H96v40c0,3.23-1.95,6.16-4.95,7.39C90.07,175.81,89.03,176,88,176
                            c-2.08,0-4.13-0.82-5.66-2.35l-80-80C-0.78,90.53-0.78,85.46,2.34,82.34z"/>
                    </g>
                </svg>
                <svg version="1.1" class="hover-svg" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                    viewBox="0 0 238.48 176" style="enable-background:new 0 0 238.48 176;" xml:space="preserve">
                    <g>
                        <path d="M2.34,82.34l80-80c2.29-2.29,5.71-2.96,8.72-1.73C94.05,1.84,96,4.77,96,8v40h142.48v16H88c-4.41,0-8-3.59-8-8V27.31
                            L19.32,88L80,148.69V120c0-4.41,3.59-8,8-8h150.48v16H96v40c0,3.23-1.95,6.16-4.95,7.39C90.07,175.81,89.03,176,88,176
                            c-2.08,0-4.13-0.82-5.66-2.35l-80-80C-0.78,90.53-0.78,85.46,2.34,82.34z"/>
                    </g>
                </svg>
            </a>
        </div>
    </div>

</section>
<!-- End slider section -->