<!-- tech-section 
================================================== -->
<section class="tech-section">

    <div class="container">
        <?php
            if(block_value('title')) { ?>
                <div class="title-wrapper <?php if( block_value('title-white-color') ) { echo 'white-style'; } ?>">
                    <h2 <?php if( block_value('hide-icon-before-title') ) { echo 'class="no-dottes"'; } ?> >
                        <?php block_field('title'); ?>
                    </h2>
                </div>
            <?php }
        ?>
        <div class="tech-box">
            <?php
            if( block_value('align') == 'right' ) { ?>
                <div class="row reverse-order">
            <?php } else {?>
                <div class="row">
            <?php }

                $args = array(
                    'posts_per_page'      => '4',
                    'post_type'           => 'post',
                    'ignore_sticky_posts' => true,
                    'order'               => block_value('sort-posts'),
                );
        
                // Display from the most commented
                if ( block_value('display-fields') == 'comments' ) {
                    $args['orderby'] = 'comment_count';
                }
        
                // Display from the most popular
                if ( block_value('display-fields') == 'popular' ) {
                    $args['meta_key'] = 'post_views_count';
                    $args['orderby'] = 'meta_value_num';
                }
        
                // Display from the categorys selected
                if ( block_value('category') ) {
                    $args[ 'tax_query' ] = array(
                        array(
                            'taxonomy' => 'category',
                            'field'    => 'slug',
                            'terms'    => block_value('category'),
                        ),
                    );
                }
        
                // Display from the tags selected
                if ( block_value('tag')) {
                    $args['tag'] = block_value('tag');
                }
        
                // Display from the tags selected
                if ( block_value('custom-posts')) {
                    $postsArray = explode(',', block_value('custom-posts') );
                    
                    $postsCustom = array_values($postsArray);
                    
        
                    $args['post__in'] = $postsCustom;
                }

                $query = new WP_Query($args);
                $itemNum = 0;

                if ( $query->have_posts() ) {
                    while ( $query->have_posts() ) {
                        $query->the_post(); 
                        $itemNum = $itemNum + 1;

                        if($itemNum == 1) { ?>
                            <div class="col-md-6">
                                <?php get_template_part( 'template-parts/post-layouts/standard-post2' ); ?>
                            </div>
                            <div class="col-md-6">
                        <?php } else {
                            get_template_part( 'template-parts/post-layouts/card-post-with-padding' );
                        }
                    }

                    \wp_reset_postdata();
                }
            ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End tech section -->