<?php

/**
 * Faqja e aigen
 *
 * Smartbits - Besim Dauti
 * https://smart-bits.ch/
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

define( 'AIGEN_PARENT_DIR', get_template_directory() );
define( 'AIGEN_CHILD_DIR', get_stylesheet_directory() );
define( 'AIGEN_INCLUDES_DIR', AIGEN_PARENT_DIR . '/framework' );
define( 'AIGEN_CSS_DIR', AIGEN_PARENT_DIR . '/assets/css' );
define( 'AIGEN_JS_DIR', AIGEN_PARENT_DIR . '/assets/js' );
define( 'AIGEN_LANGUAGES_DIR', AIGEN_PARENT_DIR . '/languages' );
define( 'AIGEN_ELEMENTOR_DIR', AIGEN_INCLUDES_DIR . '/elementor' );
define( 'AIGEN_ELEMENTOR_WIDGETS_DIR', AIGEN_ELEMENTOR_DIR . '/widgets' );

/**
 * Define URL Location Constants
 */
define( 'AIGEN_PARENT_URL', get_template_directory_uri() );
define( 'AIGEN_CHILD_URL', get_stylesheet_directory_uri() );
define( 'AIGEN_INCLUDES_URL', AIGEN_PARENT_URL . '/framework' );
define( 'AIGEN_CSS_URL', AIGEN_PARENT_URL . '/assets/css' );
define( 'AIGEN_JS_URL', AIGEN_PARENT_URL . '/assets/js' );
define( 'AIGEN_LANGUAGES_URL', AIGEN_PARENT_URL . '/languages' );
define( 'AIGEN_ELEMENTOR_URL', AIGEN_INCLUDES_URL . '/elementor' );
define( 'AIGEN_ELEMENTOR_WIDGETS_URL', AIGEN_ELEMENTOR_URL . '/widgets' );

require_once AIGEN_INCLUDES_DIR . '/metabox/meta-box.php';
require_once AIGEN_INCLUDES_DIR . '/customize.php';


/** Add the Elementor compatibility file */
if ( defined( 'ELEMENTOR_VERSION' ) ) {
    require_once( AIGEN_ELEMENTOR_DIR . '/elementor-script.php' );
}

// Register Elementor Locations
function aigen_register_elementor_locations( $elementor_theme_manager ) {
	$elementor_theme_manager->register_all_core_location();
};
add_action( 'elementor/theme/register_locations', 'aigen_register_elementor_locations' );


require_once get_template_directory() . '/includes/aigen-after-setup.php';
require_once get_template_directory() . '/includes/aigen-widgets.php';
require_once get_template_directory() . '/includes/aigen-scripts.php';
require_once get_template_directory() . '/includes/aigen-lazyload.php';
require_once get_template_directory() . '/includes/other-functions.php';
require_once get_template_directory() . '/includes/aigen-filter.php';
require_once get_template_directory() . '/includes/aigen_loadmore.php';
require_once get_template_directory() . '/includes/fonts-style-action.php';
require_once get_template_directory() . '/includes/aigen-comments.php';
require_once get_template_directory() . '/includes/aigen-required-plugins.php';
