<?php
get_header();

$archiveDesc = get_theme_mod( 'archive_description', '' ); 

    if(have_posts()) {
            ?>

        <!-- page-banner-section 
			================================================== -->
        <section class="page-banner-section" style="background-image: url('<?php echo esc_url( $image ); ?>')">
            <div class="container">
                <h2>
                    <?php echo esc_html_e('Search: ', 'aigen') . get_query_var('s'); ?>
                </h2>
                <p><?php echo esc_html( $archiveDesc ); ?></p>
            </div>
        </section>
        <!-- End page-banner section -->
        
		<!-- recent-section 
			================================================== -->
        <section class="recent-section">
            <div class="container">
                <div class="row">
                <?php if(is_active_sidebar('sidebar')){ ?>
                    <div class="col-lg-8">
                    <?php }else{ ?>
                    <div class="col-lg-12 no-sidebar">
                    <?php } ?>
                        <div class="latest-box col1">
                            
                            <?php 
                                global $wp_query;
                                query_posts(array_merge($wp_query->query, array(
                                    'paged'          => get_query_var('post'),
                                    'post_type'           => get_query_var('post')
                                )));

                                while(have_posts()) {
                                    the_post(); ?>
                                    <div class="item">
                                        <?php get_template_part( 'template-parts/post-layouts/article-post2' ); ?>
                                    </div>
                                    
                                <?php }
                            ?>
                        </div>
                        <?php fabric_paging_navigation($wp_query); ?>
                    </div>
                    <?php if(is_active_sidebar('sidebar')){ ?>
                    <div class="col-lg-4">
                        
                        <?php get_sidebar(); ?>

                    </div>
                    <?php } ?>
                </div>
            </div>
		</section>
        <!-- End search-results page -->
    
    <?php } else { ?>
        <!-- error-404-section 
        ================================================== -->
        <section class="error-section">
            <div class="container">
                <div class="title">
                    <h1><?php esc_html_e('Error 404', 'aigen') ?></h1>
                    <span><?php esc_html_e('page not found', 'aigen') ?></span>
                </div>
                <a href="<?php echo esc_url(home_url('/')); ?>"><?php esc_html_e('Back to Home', 'aigen') ?></a>
            </div>
        </section>
        <!-- End error section -->
    <?php }

get_footer();
?>