<?php 

$facebook = get_theme_mod('facebook');
$twitter = get_theme_mod('twitter');
$linkedin = get_theme_mod('linkedin');
$instagram = get_theme_mod('instagram');
$google = get_theme_mod('google');
$youtube = get_theme_mod('youtube');
$pinterest = get_theme_mod('pinterest');
$dribble = get_theme_mod('dribble');
$github = get_theme_mod('github');

?>
            
<nav class="mobile-menu">
    <div class="social-search-bar">
        <div class="container">
            <?php if ( true == get_theme_mod( 'switch_header_socials' ) ) : ?>
            <ul class="social-list">

                <?php

                    if ($facebook != '') { ?>
                        <li><a href="<?php echo $facebook; ?>"><i class="fab fa-facebook-f"></i></a></li>
                    <?php }

                    if ($twitter != '') { ?>
                        <li><a href="<?php echo $twitter; ?>"><i class="fab fa-twitter"></i></a></li>
                    <?php }

                    if ($instagram != '') { ?>
                        <li><a href="<?php echo $instagram; ?>"><i class="fab fa-instagram"></i></a></li>
                    <?php } 

                    if ($linkedin != '') { ?>
                        <li><a href="<?php echo $linkedin; ?>"><i class="fab fa-linkedin-in"></i></a></li>
                    <?php }

                    if ($google != '') { ?>
                        <li><a href="<?php echo $google; ?>"><i class="fab fa-google-plus-g"></i></a></li>
                    <?php }

                    if ($youtube != '') { ?>
                        <li><a href="<?php echo $youtube; ?>"><i class="fab fa-youtube"></i></a></li>
                    <?php }

                    if ($pinterest != '') { ?>
                        <li><a href="<?php echo $pinterest; ?>"><i class="fab fa-pinterest-p"></i></a></li>
                    <?php }

                    if ($dribble != '') { ?>
                        <li><a href="<?php echo $dribble; ?>"><i class="fab fa-dribbble"></i></a></li>
                    <?php }

                    if ($github != '') { ?>
                        <li><a href="<?php echo $github; ?>"><i class="fab fa-github"></i></a></li>
                    <?php }

                ?>

            </ul>
            <?php endif; ?>
            
            <a href="#" class="open-search"><i class="fas fa-search"></i></a>

        </div>
    </div>
    <div class="logo-toogle-bar">
        <div class="container">

            <?php $custom_logo = get_post_meta($wp_query->get_queried_object_id(), '_aigen_custom_logo', true) ?>

            <?php 
                $custom_logo_id = get_theme_mod( 'custom_logo' );
            ?>

            <a class="logo-brand" href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo('name'); ?>">
                <?php if($custom_logo!=''){ ?>
                    <img src="<?php echo esc_url($custom_logo); ?>" alt="<?php bloginfo('name'); ?>">
                <?php }elseif($custom_logo_id!=''){ ?>
                    <?php $image = wp_get_attachment_image_src( $custom_logo_id , 'full' ); ?>
                    <img src="<?php echo esc_url($image[0]); ?>" alt="<?php bloginfo('name'); ?>" />
                <?php }else{  ?>
                    <?php bloginfo('name'); ?>
                <?php } ?>
            </a>
            
            <a href="#" class="tooggle-mobile">
                <span></span>
                <span></span>
                <span></span>
            </a>
        </div>
    </div>
    <?php 
        wp_nav_menu(array(
            'theme_location' => 'primary',
            'menu'            => '',
            'container'       => '',
            'container_class' => '',
            'container_id'    => '',
            'menu_class' => 'navbar-nav ml-auto',
            'depth'           => 0
        ));
    ?>
</nav>